List the addresses flagged as dangerous
The live ones, newest first; removed=true adds the removed. The field team’s, as the cases are.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
field-services
/
address-flags
List the addresses flagged as dangerous
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/address-flags \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/address-flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/address-flags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"address": {},
"address_line": "<string>",
"reasons": [
"<string>"
],
"notes": "<string>",
"flagged_at": "2023-11-07T05:31:56Z",
"flagged_by": {
"id": "<string>",
"name": "<string>"
},
"removed_at": "2023-11-07T05:31:56Z",
"removed_reason": "<string>"
}
],
"can_change": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List the addresses flagged as dangerous
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/field-services/address-flags \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/field-services/address-flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/field-services/address-flags"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"address": {},
"address_line": "<string>",
"reasons": [
"<string>"
],
"notes": "<string>",
"flagged_at": "2023-11-07T05:31:56Z",
"flagged_by": {
"id": "<string>",
"name": "<string>"
},
"removed_at": "2023-11-07T05:31:56Z",
"removed_reason": "<string>"
}
],
"can_change": true
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
